Subject: Re: [net-next-2.6 PATCH] net: fast consecutive name allocation

From: Benjamin LaHaise <[email-masked]>
Date: Fri, 13 Nov 2009 17:40:43 -0500

On Fri, Nov 13, 2009 at 02:29:39PM -0800, Stephen Hemminger wrote:
> So it is lots of pseudo-devices for a special purpose test machine.
> That's great use of Linux, but not a case worth optimizing for in the mainline kernel.

He's not the only one who needs that, I certainly do.  BRAS application 
where traffic is being aggregated (ie PPPoE and L2TP servers) from lots of 
customers requires it.  There are also people hitting the same scaling 
issues in embedded PPPoE on wireless networks.

		-ben